<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>R-Index</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="R-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">Z</a>&nbsp;<a name="_R_">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="strong"><a href="../controler/InitialisationOnlineGame.html#rechercheGame(view.Blokus)">rechercheGame(Blokus)</a></span> - Method in class controler.<a href="../controler/InitialisationOnlineGame.html" title="class in controler">InitialisationOnlineGame</a></dt>
<dd>
<div class="block">Search the server and get the gameRule.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuPiece.html#refresh()">refresh()</a></span> - Method in class view.<a href="../view/MenuPiece.html" title="class in view">MenuPiece</a></dt>
<dd>
<div class="block">Refresh the pattern.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPieces.html#refresh(java.util.ArrayList,%20view.Parametres)">refresh(ArrayList&lt;Piece&gt;, Parametres)</a></span> - Method in class view.<a href="../view/PlayerPieces.html" title="class in view">PlayerPieces</a></dt>
<dd>
<div class="block">Refresh the board of PlayerPiece.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuPiece.html#remove(model.Position)">remove(Position)</a></span> - Method in class view.<a href="../view/MenuPiece.html" title="class in view">MenuPiece</a></dt>
<dd>
<div class="block">Removes a part of the piece.</div>
</dd>
<dt><span class="strong"><a href="../view/Blokus.html#removeGame()">removeGame()</a></span> - Method in class view.<a href="../view/Blokus.html" title="class in view">Blokus</a></dt>
<dd>
<div class="block">Removes the actual game.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuPiece.html#removeHover(model.Position)">removeHover(Position)</a></span> - Method in class view.<a href="../view/MenuPiece.html" title="class in view">MenuPiece</a></dt>
<dd>
<div class="block">Removes the hover effect.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#removeNextPiece()">removeNextPiece()</a></span> - Method in class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Removes the next piece.</div>
</dd>
<dt><span class="strong"><a href="../view/Parametres.html#removePiece(int)">removePiece(int)</a></span> - Method in class view.<a href="../view/Parametres.html" title="class in view">Parametres</a></dt>
<dd>
<div class="block">Removes the piece.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPiece.html#reUse()">reUse()</a></span> - Method in class view.<a href="../view/PlayerPiece.html" title="class in view">PlayerPiece</a></dt>
<dd>
<div class="block">Reuse this piece, recolor it with the players color and start it's listener.</div>
</dd>
<dt><span class="strong"><a href="../model/Piece.html#reverse()">reverse()</a></span> - Method in class model.<a href="../model/Piece.html" title="class in model">Piece</a></dt>
<dd>
<div class="block">Reverse this piece.</div>
</dd>
<dt><span class="strong"><a href="../model/Piece.html#rotateLeft()">rotateLeft()</a></span> - Method in class model.<a href="../model/Piece.html" title="class in model">Piece</a></dt>
<dd>
<div class="block">Rotate the piece on the left.</div>
</dd>
<dt><span class="strong"><a href="../model/Piece.html#rotateRight()">rotateRight()</a></span> - Method in class model.<a href="../model/Piece.html" title="class in model">Piece</a></dt>
<dd>
<div class="block">Rotate the piece on the right.</div>
</dd>
<dt><span class="strong"><a href="../controler/GameOnline.html#run()">run()</a></span> - Method in class controler.<a href="../controler/GameOnline.html" title="class in controler">GameOnline</a></dt>
<dd>
<div class="block">This thread actualize the gameRule between the server and this game.</div>
</dd>
<dt><span class="strong"><a href="../model/ServeurPlayer.html#run()">run()</a></span> - Method in class model.<a href="../model/ServeurPlayer.html" title="class in model">ServeurPlayer</a></dt>
<dd>
<div class="block">This method send the gameRule and update it according to the player message.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
